﻿
<#
.SYNOPSIS
Install windows-adk-deploy

.DESCRIPTION
Installs the Windows Assessment and Deployment Kit using the Chocolatey framework

.LINK
https://msdn.microsoft.com/en-us/windows/hardware/dn913721.aspx
#>

$ChocoPackage = @{
    packageName = 'Windows Assessment and Deployment Kit'
    url = 'https://go.microsoft.com/fwlink/?linkid=2086042'
    checksum = 'A18F62282B6285E8634012838A93BEC0'
    silentArgs = "/quiet /norestart /log $env:temp\win_adk.log /features OptionId.DeploymentTools OptionId.ImagingAndConfigurationDesigner OptionId.UserStateMigrationTool"
    fileType = 'exe'
    validExitCodes = @(0,3010)
}

Install-ChocolateyPackage @ChocoPackage
